org.apache.ignite.internal.processors.timeout

## Interface GridTimeoutObject

All Known Implementing Classes:
  GridCacheDistributedFieldsQueryFuture, GridCacheDistributedQueryFuture, GridCacheLocalFieldsQueryFuture, GridCacheLocalQueryFuture, GridCacheQueryFutureAdapter, GridJobWorker, GridSpiTimeoutObject, GridTimeoutObjectAdapter, GridTimeoutProcessor.CancelableTask

    public interface GridTimeoutObject

All objects that can timeout should implement this interface.

### Method Summary

Methods
`long` `endTime()`
`void` `onTimeout()` Timeout callback.
`IgniteUuid` `timeoutId()`

### Method Detail

#### timeoutId

    IgniteUuid timeoutId()

Returns:
  ID of the object.

#### endTime

    long endTime()

Returns:
  End time.

#### onTimeout

    void onTimeout()

Timeout callback.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017